Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 1115294 - [RFE] Add support for DNSSEC
[RFE] Add support for DNSSEC
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa (Show other bugs)
7.0
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: Martin Kosek
Namita Soman
Filip Hanzelka
: FutureFeature, TechPreview
Depends On: 829395 1044159 1044170 1044171 1061212 1097749 1097753 1117157 1117174 1119738 1121658 1122495 1185880 1193892 1193942 1196971 1204100 1261530
Blocks: 1181710 1249775
  Show dependency treegraph
 
Reported: 2014-07-02 03:12 EDT by Martin Kosek
Modified: 2018-07-17 15:17 EDT (History)
12 users (show)

See Also:
Fixed In Version: ipa-4.2.0-1.el7
Doc Type: Technology Preview
Doc Text:
DNSSEC available as Technology Preview in IdM Identity Management (IdM) servers with integrated DNS now support DNS Security Extensions (DNSSEC), a set of extensions to DNS that enhance security of the DNS protocol. DNS zones hosted on IdM servers can be automatically signed using DNSSEC. The cryptographic keys are automatically generated and rotated. Users who decide to secure their DNS zones with DNSSEC are advised to read and follow these documents: * DNSSEC Operational Practices, Version 2: http://tools.ietf.org/html/rfc6781#section-2 * Secure Domain Name System (DNS) Deployment Guide: http://dx.doi.org/10.6028/NIST.SP.800-81-2 * DNSSEC Key Rollover Timing Considerations: http://tools.ietf.org/html/rfc7583 Note that IdM servers with integrated DNS use DNSSEC to validate DNS answers obtained from other DNS servers. This might affect the availability of DNS zones that are not configured in accordance with recommended naming practices described in the Red Hat Enterprise Linux Networking Guide: https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/Networking_Guide/ch-Configure_Host_Names.html#sec-Recommended_Naming_Practices.
Story Points: ---
Clone Of:
: 1249775 (view as bug list)
Environment:
Last Closed: 2015-11-19 07:00:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:2362 normal SHIPPED_LIVE ipa bug fix and enhancement update 2015-11-19 05:40:46 EST

  None (edit)
Description Martin Kosek 2014-07-02 03:12:34 EDT
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/freeipa/ticket/3801

bind-dyndb-ldap in Fedora 20 plans to introduce DNSSEC support. Add support to FreeIPA as well.

Related bind-dyndb-ldap ticket: https://fedorahosted.org/bind-dyndb-ldap/ticket/56

Related bind-dyndb-ldap design documents:
* https://fedorahosted.org/bind-dyndb-ldap/wiki/BIND9/Design/DNSSEC
* https://fedorahosted.org/bind-dyndb-ldap/wiki/BIND9/Design/RBTDB

Related discussion on freeipa-devel: http://www.redhat.com/archives/freeipa-devel/2013-May/msg00177.html

Major challenges in FreeIPA will be a secure synchronization of DNSSEC keys which need to be available to all FreeIPA masters with DNS support. There also should be a possibility to rotate the keys.
Comment 1 Jenny Galipeau 2014-07-03 10:25:14 EDT
Can you please close this as a duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=829395
Comment 2 Martin Kosek 2014-07-04 04:03:52 EDT
I am not sure I want to do that. DNSSEC support in IPA has different scope that DNSSEC support in bind-dyndb-ldap component. It also needs to publish proper interface + secure key exchange for multi-master environment.
Comment 3 Petr Spacek 2014-07-18 08:21:27 EDT
I'm adding DS bugs which hammers performance in cases where SyncRepl is used. (SyncRepl is a requirement for bind-dyndb-ldap version which supports DNSSEC.)
Comment 4 Petr Spacek 2014-07-18 08:23:59 EDT
And also we need SyncRepl support itself.
Comment 7 Martin Kosek 2014-08-19 04:45:04 EDT
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/4462
Comment 8 Martin Kosek 2014-10-21 06:32:25 EDT
Initial upstream support (#3801) was fixed upstream, it will be part of FreeIPA 4.1. See details in

https://fedorahosted.org/freeipa/ticket/3801
Comment 9 Martin Kosek 2014-10-24 10:28:16 EDT
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/4657
Comment 10 Martin Kosek 2014-10-24 10:28:33 EDT
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/4658
Comment 11 Petr Viktorin 2014-10-29 10:04:51 EDT
Improvements/fixes are being applied upstream, see https://fedorahosted.org/freeipa/ticket/4657 for details.
Comment 13 Petr Spacek 2014-11-14 14:34:21 EST
Adding dependencies client side: These changes on clients make the feature actually useful.

IMHO we should consider implementing https://fedoraproject.org/wiki/Changes/Default_Local_DNS_Resolver in RHEL too.
Comment 15 Petr Vobornik 2015-03-06 09:49:32 EST
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/4933
Comment 29 Martin Kosek 2015-07-07 04:12:32 EDT
FreeIPA ticket 4462 will not be part of this feature, this part was not done upstream.
Comment 30 Martin Kosek 2015-07-07 04:15:39 EDT
The intended functionality is finished upstream, the feature is now maintenance mode. I am thus moving this RFE to POST.
Comment 35 Petr Spacek 2015-08-26 07:19:52 EDT
Here is more descriptive text for release notes.
Comment 36 Kaleem 2015-09-23 08:56:36 EDT
Verified.

IPA/bind* rpm version:
======================
[root@dhcp207-229 ~]# rpm -q ipa-server bind bind-pkcs11 bind-dyndb-ldap opendnssec
ipa-server-4.2.0-11.el7.x86_64
bind-9.9.4-29.el7.x86_64
bind-pkcs11-9.9.4-29.el7.x86_64
bind-dyndb-ldap-8.0-1.el7.x86_64
opendnssec-1.4.7-3.el7.x86_64
[root@dhcp207-229 ~]#

Done verification of this RFE by execution of following test cases.
-------------------------------------------------------------------
1. Installation of DNSSEC component with a lot of combinations with forwarders(DNSSEC enabled/disabled, DNS component not installed etc), installation of dnssec component after upgrade to RHEL-7.2 .
2. Migration of DNSSEC component to another IPA replica .
3. DNSzone/DNSrecord signing with verification of dnssec chain of trust, enabling/disabling of signing on dnszone .
4. DNSForward zone addition where DNSSEC enabled/disabled.
Comment 38 Petr Spacek 2015-10-22 02:59:29 EDT
I've added following link to the doc text:

DNSSEC Key Rollover Timing Considerations:
http://tools.ietf.org/html/rfc7583
Comment 40 errata-xmlrpc 2015-11-19 07:00:47 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-2362.html

Note You need to log in before you can comment on or make changes to this bug.